Subject: [bmwg] draft-ietf-bmwg-traffic-management

From: Gilles Forget <[email-masked]>
Date: Thu, 2 Oct 2014 16:45:11 -0400

BMWG members, 

I have reviewed draft-ietf-bmwg-traffic-management for the WGLC and here are my comments:

1 - In the following paragraph of the Introduction:
"The MEF specifies policing and shaping in terms of Ingress and Egress 
Subscriber/Provider Conditioning Functions in MEF12.1; Ingress and
Bandwidth Profile attributes in MEF 10.2 and MEF 26."  
- I would write Metro Ethernet Forum instead of MEF at the beginning.

2 - In section 1.2 title, I would remove DUT.
- The new title would be: Lab Configuration and Testing Overview

3 - In section 1.2 diagram, I would use "Device Under Test" instead of DUT.
- I would do that because DUT is not defined yet at this point in the document and also because all other boxes in that diagram contains full names.

4 - Still in the introduction, the following sentence at the beginning of page 5 contains the word "test" too many times.
 "The tests are divided into individual tests and rated capacity tests."
- I would write: Individual rated and capacity tests are used to measure each of the functions.

5 - IMO, the next sentence is ambiguous:
"The individual tests are intended to benchmark the traffic management 
 functions according to the metrics defined in Section 4."
- I would replace by: The intention is to benchmark the traffic management of each function according to the metrics defined in Section 4.

6 - In the last sentence of the same paragraph of the introduction.
"This involves concurrent testing of multiple interfaces with the 
specific traffic management function enabled, and doing so to the 
capacity limit of each interface."
- I would write "up to" instead of "to". It would then be written as follows:
"This involves concurrent testing of multiple interfaces with the 
specific traffic management function enabled, and doing so up to 
the capacity limit of each interface."

7 - IMO the first sentence of the fourth paragraph in section 1.2 is also ambiguous.
"The Network Delay Emulator (NDE) is a requirement for the TCP
stateful tests, which require network delay to allow TCP to fully
open the TCP window."
- I would replace by:
The Network Delay Emulator (NDE) is required for TCP stateful testing in order to obtain a fully opened TCP Window.

8 - I noticed that the word "may" is used very often in the draft and it's not always according the RFC2119.

9 - In the same paragraph where the following sentence is:
"In the case that a fiber spool is not practical due to the..."
- I would replace the word "that" by "where".

10 - In section 2, I would like to recommend adding RTH (Receiving Test Host) and TTH (Transmitting Test Host).

11 - In the last paragraph of page 8, in the following sentence:
"The multitudes of possible combinations is almost unbounded and the 
   ability to identify functional "break points" would be most times 
   impossible."
- I would replace "most times" by "almost".

12 - IMO, in the second paragraph of page 9, the sentences are ambiguous and too long.
- I would rewrite like this:
Also, it is not within scope to perform conformance testing. Tests
defined in this framework benchmarks the traffic management functions
according to the metrics defined in section 4. They do not address any
conformance to standards in regards with traffic management.  Traffic 
management specifications largely do not exist and this is a prime
driver for this framework. Our goal is to provide an objective method for comparing
vendor traffic management functions.

13 - In the last paragraph of section 3, I see redundancy in the words "generation" and "emulation".
- IMO, emulation is the most appropriate word here.

14 - In the first paragraph of section 4.1 the word "packet" is used for layer 2.
- It should be "frame".

15 -  In the last paragraph of page 12, i.e. is OK for OS Version, however e.g. should be used for the other ones.

16 - I have noticed that "test set" and "test device" are both used in the document.
- IMO, only one of those should be used all over the document.

17 - In the last sentence of the last paragraph of section 6:
This evaluates the accuracy of the internal traffic management counters under individual test
conditions and capacity test conditions that are defined in each subsection.
- I would remove the words "that are" at the end.
- It would be written as follows:
This evaluates the accuracy of the internal traffic management counters under individual test
conditions and capacity test conditions defined in each subsection.

I fully support the goal of this document and I hope my comments will help.
I intent to keep on following the evolution of this draft and bring more comments.
Hopefully, the network community will soon have a reference document on which network device and appliance testing can be based on.

Thanks.

Gilles Forget, CCNP.
T : 450-473-5718
C : 514-895-8212
@ : [email-masked]

Politique de Confidentialite des Courriels | 
Email Confidentiality Warning

---

From: Barry Constantine <[email-masked]>
Date: Fri, 3 Oct 2014 22:28:22 +0000

Gilles,

Thank you for the detailed review.

They all seem reasonable and will help to clarify areas as you have suggested, we will incorporate these into the next draft along with other WGLC comments.

Thank you,
Barry Constantine

JDSU Network and Service Enablement
Principal Member Technical Staff
301-325-7069

From: bmwg [mailto:[email-masked]] On Behalf Of Gilles Forget
Sent: Thursday, October 02, 2014 4:45 PM
To: [email-masked]
Subject: [bmwg] draft-ietf-bmwg-traffic-management

BMWG members,

Thanks.

Gilles Forget, CCNP.
T : 450-473-5718
C : 514-895-8212
@ : [email-masked]<mailto:[email-masked]>

Politique de Confidentialite des Courriels<http://www.bell.ca/enterprise/EntGnl_EmailConfidentialityWarning.page?language=fr> |
Email Confidentiality Warning<http://www.bell.ca/enterprise/EntGnl_EmailConfidentialityWarning.page?language=en>